﻿shake="receive"

if (threshold == nil) then
	threshold = 2
end	

function setQualityThreshold(quality)
	threshold = quality
		
	if(threshold == 0) then
	print("Threshold set to Common.")
	elseif (threshold == 1) then
	print("Threshold set to Uncommon.")
	elseif (threshold == 2) then
	print("Threshold set to Rare.")
	elseif (threshold == 3) then
	print("Threshold set to Epic.")
	elseif (threshold == 4) then
	print("Threshold set to Legendary.")
	end
	
end

function LootAnnouncer_OnEvent(LootAnnouncerForm, event, ...)
    
    local arg1 = ...;

    if ( event == "CHAT_MSG_LOOT" ) then
        
        local bake = string.match(arg1, "receive")
        if (shake == bake) then
            local rest = string.gsub(arg1, "You receive ", UnitName("player") .. " receives ")



	        for itemLink in arg1:gmatch("|%x+|Hitem:.-|h.-|h|r") do            
	            iName, iLink, iQuality = GetItemInfo(itemLink)	    
            end

            if UnitInRaid("player") then
                if (iQuality > threshold) then 
                    SendChatMessage(rest, "RAID");
                end
            end   
            bake = ""
        end
    end
end

 ---------------------------------
  -- THE INGAME MENU
  ---------------------------------
  local dropdown = CreateFrame("Frame", "myMenuFrame", nil, "UIDropDownMenuTemplate")
  local menuTable = {}
  local line, submenu, delim = nil, {}, "                       "

  local createMenuTitle = function(title)
    --title
    line = { text = title, isTitle = true, notCheckable = true, notClickable = true }
    table.insert(menuTable,line)
    line = { text = delim, notCheckable = true, notClickable = true }
    table.insert(menuTable,line)
  end

  local createMenuCloseButton = function(title)
    --close
    line = { text = delim, notCheckable = true, notClickable = true }
    table.insert(menuTable,line)
    line = { text = title, func = function() CloseDropDownMenus() end, notCheckable = true }
    table.insert(menuTable,line)
  end

  local createMenuGeneralSettings = function()
    --general
    submenu = {
      { text = "Threshold", isTitle = true, notCheckable = true, notClickable = true },
      { text = delim, notCheckable = true, notClickable = true },
	  { text = "Common", func = function() setQualityThreshold(0) end, notCheckable = true, keepShownOnClick = true, },
      { text = "Uncommon", func = function() setQualityThreshold(1) end, notCheckable = true, keepShownOnClick = true, },
      { text = "Rare", func = function() setQualityThreshold(2) end, notCheckable = true, keepShownOnClick = true, },
      { text = "Epic", func = function() setQualityThreshold(3) end, notCheckable = true, keepShownOnClick = true, },
      { text = "Legendary", func = function() setQualityThreshold(4) end, notCheckable = true, keepShownOnClick = true, },
    }
    line = { text = "Threshold", notCheckable = true, hasArrow = true, menuList = submenu }
    table.insert(menuTable,line)
    line = { text = delim, notCheckable = true, notClickable = true }
    table.insert(menuTable,line)
  end

  ---------------------------------
  -- LOAD MENU
  ---------------------------------
  do
    local f = CreateFrame("Frame")
    f:SetScript("OnEvent", function(self, event)
      return self[event](self)
    end)
    function f:PLAYER_LOGIN()
      --create the ingame menu
      createMenuTitle("LootAnnouncer")
      createMenuGeneralSettings()
      createMenuCloseButton("Close Menu")
      self:UnregisterEvent("PLAYER_LOGIN")
    end
    f:RegisterEvent("PLAYER_LOGIN")
  end

  ---------------------------------
  -- SLASH COMMAND
  ---------------------------------

  --slash command functionality
  local function SlashCmd(cmd)
    EasyMenu(menuTable, dropdown, "cursor", 10 , -15, "MENU")
  end
  SlashCmdList["la"] = SlashCmd;
  SLASH_la1 = "/la";